Bug 1410452 (CVE-2016-10049) - CVE-2016-10049 ImageMagick: Buffer overflow when reading corrupt RLE files
Summary: CVE-2016-10049 ImageMagick: Buffer overflow when reading corrupt RLE files
Status: CLOSED WONTFIX
Alias: CVE-2016-10049
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160517,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 14:20 UTC by Andrej Nemec
Modified: 2019-06-08 21:41 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:27:09 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 14:20:32 UTC
A buffer overflow vulnerability was found in ImageMagick. A maliciously crafted RLE file could cause the application to crash or possibly have other impact.

Upstream bug:

https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29710

References:

http://seclists.org/oss-sec/2016/q4/758

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/3e9165285eda6e1bb71172031d3048b51bb443a4

Comment 1 Andrej Nemec 2017-01-05 16:13:04 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.